set GEHALT;       		# unterschiedliche Gehaltsstufen
set WERK;			#unterscheidet zwischen Mo-Fr(1) und Wochenende(2)

param Mindestanzahl{GEHALT}>=0; # Mindestanzahl der Posten in einer Gehaltstufe
param Lohn{WERK, GEHALT} >=0;  	# Lohn
param tagesanzahl{TAGE}>=0;

var Angestellte{GEHALT,TAGE} integer >=0 ;

#--------------------------------------------------------------------------
minimize Gesamtkosten: sum{k in TAGE} (sum{j in GEHALT} ((5-k)*Lohn[1,j]*Angestellte[j,k] + k*Lohn[2,j]*Angestellte[j,k]));


subject to Wochentag{i in TAGE}: sum{j in GEHALT} Angestellte[j,i] = tagesanzahl[i];

subject to Mindestanzahl_Posten{j in GEHALT}: sum{k in TAGE} Angestellte[j,k] >= Mindestanzahl[j];


subject to jeden_Tag{k in TAGE}: Angestellte[3,k]>=1;
